package speiger.src.coreengine.rendering.models.loader;

import java.util.UUID;

public class SimpleModelData
{
	String name;
	UUID id;
	byte[] data;
	int[] indecies;
	
	public SimpleModelData(String name, UUID id, byte[] data, int[] indecies)
	{
		this.name = name;
		this.data = data;
		this.indecies = indecies;
	}
	
	public UUID getId()
	{
		return id;
	}
	
	public String getName()
	{
		return name;
	}
	
	public byte[] getModelData()
	{
		return data;
	}
	
	public int[] getIndecies()
	{
		return indecies;
	}
	
	public int getVertexCount()
	{
		return indecies.length;
	}
}
